<?php
    //error_reporting(0);
    session_start();

    require "repository/functions.php";
    require "repository/cms.php";
    require "repository/xml.php";
    $login = "login.php";
    require "modules/_security.php";

    $ini_file = $_SESSION['ini_file']; // user_ini
    $ini_pathes = loadIni("xable.ini", "pathes");
    $ini_enable = loadIni($ini_file, "enable");
    $root = $ini_pathes['root'];
    $settings = loadXml($ini_pathes['settings'], "draft");
    $nav_documents = loadIni($ini_file, "navigation");

    $_SESSION["admin_root"] = $root;
    $_SESSION["ini_site_options"] = loadIni("xable.ini", "options");

    $_SESSION["site_folders"] = [
        "pages" => "$root/pages",
        "templates" => "$root/pages/_templates",
        "media" => "$root/media",
        "thumbs" => "$root/media/_thumbs"
    ];

    $_SESSION["languages_list"] = [];
    foreach($settings['multi_language'] as $lang_data) { $_SESSION["languages_list"][] = readXml($lang_data, "id"); };

?>